Get a trace detail
GET /api/gateway_groups/{gateway_group_id}/debug_sessions/{debug_session_id}/traces/{trace_id}
GET /api/gateway_groups/{gateway_group_id}/debug_sessions/{debug_session_id}/traces/{trace_id}Interactive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
gateway_group_id*string
Gateway group ID.
Length
1 <= lengthdebug_session_id*string
Debug session ID.
Match
^[a-zA-Z0-9-_.]+$Length
1 <= length <= 256trace_id*string
Trace ID.
Length
1 <= length <= 64Response Body
application/json
application/json
application/json
curl -X GET "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/debug_sessions/bd58fce2-b6cc-4d2d-a53c-6ce11b19c101/traces/string"Successfully retrieved the debug trace details in OTLP format.
{
"resourceSpans": [
{
"resource": {
"attributes": [
{
"key": "string",
"value": {
"stringValue": "string",
"boolValue": true,
"intValue": "string",
"doubleValue": 0,
"bytesValue": "string",
"arrayValue": {},
"kvlistValue": {}
}
}
]
},
"scopeSpans": [
{
"scope": {
"name": "string",
"version": "string"
},
"spans": [
{
"traceId": "string",
"spanId": "string",
"parentSpanId": "string",
"name": "string",
"kind": 0,
"startTimeUnixNano": "string",
"endTimeUnixNano": "string",
"attributes": [
{
"key": "string",
"value": {
"stringValue": "string",
"boolValue": true,
"intValue": "string",
"doubleValue": 0,
"bytesValue": "string",
"arrayValue": {},
"kvlistValue": {}
}
}
],
"status": {}
}
]
}
]
}
]
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Not Found — The requested resource does not exist or has been deleted.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /api/gateway_groups/{gateway_group_id}/debug_sessions/{debug_session_id}/traces/{trace_id}
Get a trace detail
IAM Action: GetDebugSession, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
gateway_group_id(path, string, required): Gateway group ID.debug_session_id(path, string, required): Debug session ID.trace_id(path, string, required): Trace ID.
Responses
200: Successfully retrieved the debug trace details in OTLP format.resourceSpans(array, optional):resourceSpans[].resource(object, optional):resourceSpans[].resource.attributes(array, optional):resourceSpans[].resource.attributes[].key(string, optional):resourceSpans[].resource.attributes[].value(object, optional): OTLP AnyValue, represented as a oneof-style object.resourceSpans[].resource.attributes[].value.stringValue(string, optional):resourceSpans[].resource.attributes[].value.boolValue(boolean, optional):resourceSpans[].resource.attributes[].value.intValue(object, optional):- oneOf variant 1
- oneOf variant 2
resourceSpans[].resource.attributes[].value.doubleValue(number, optional):resourceSpans[].resource.attributes[].value.bytesValue(string, optional):resourceSpans[].resource.attributes[].value.arrayValue(object, optional):resourceSpans[].resource.attributes[].value.kvlistValue(object, optional):resourceSpans[].scopeSpans(array, optional):resourceSpans[].scopeSpans[].scope(object, optional):resourceSpans[].scopeSpans[].scope.name(string, optional):resourceSpans[].scopeSpans[].scope.version(string, optional):resourceSpans[].scopeSpans[].spans(array, optional):resourceSpans[].scopeSpans[].spans[].traceId(string, optional):resourceSpans[].scopeSpans[].spans[].spanId(string, optional):resourceSpans[].scopeSpans[].spans[].parentSpanId(string, optional):resourceSpans[].scopeSpans[].spans[].name(string, optional):resourceSpans[].scopeSpans[].spans[].kind(integer, optional):resourceSpans[].scopeSpans[].spans[].startTimeUnixNano(object, optional):- oneOf variant 1
- oneOf variant 2
resourceSpans[].scopeSpans[].spans[].endTimeUnixNano(object, optional):- oneOf variant 1
- oneOf variant 2
resourceSpans[].scopeSpans[].spans[].attributes(array, optional):resourceSpans[].scopeSpans[].spans[].attributes[].key(string, optional):resourceSpans[].scopeSpans[].spans[].attributes[].value(object, optional): OTLP AnyValue, represented as a oneof-style object.resourceSpans[].scopeSpans[].spans[].attributes[].value.stringValue(string, optional):resourceSpans[].scopeSpans[].spans[].attributes[].value.boolValue(boolean, optional):resourceSpans[].scopeSpans[].spans[].attributes[].value.intValue(object, optional):- oneOf variant 1
- oneOf variant 2
resourceSpans[].scopeSpans[].spans[].attributes[].value.doubleValue(number, optional):resourceSpans[].scopeSpans[].spans[].attributes[].value.bytesValue(string, optional):resourceSpans[].scopeSpans[].spans[].attributes[].value.arrayValue(object, optional):resourceSpans[].scopeSpans[].spans[].attributes[].value.kvlistValue(object, optional):resourceSpans[].scopeSpans[].spans[].status(object, optional):400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.404: Not Found — The requested resource does not exist or has been deleted. Response fields (application/json): identical toGET /api/gateway_groups/{gateway_group_id}/debug_sessions/{debug_session_id}/traces/{trace_id}, response 400 above.
cURL
curl -X GET '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/debug_sessions/{debug_session_id}/traces/{trace_id}'